JWT Encode

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

With output set to json, the structure returned includes:

algorithm - the signing algorithm used.

claims- the JSON used in the JWT with the timing variables set as used

claims_b64 - the claims section of the JWT in base64 encoding

claims_str - the claims section as a string, as used in the JWT

headers - the JWT headers in JSON

headers_b64 - the headers section of the JWT in base64 encoding

headers_str - the headers section as a string, as used in the JWT

jwt - the fully signed JWT

signature_b64 - the signature section of the JWT, in base64 encoding


Note, using the JSON output allows you to build, for example, a JSON Web Signature (JWS) value by extracting the claims_64 and signature_64values to use in an X-JWS-Signature header, and then using the exactly claims body (claims_str) as the subsequent API body.

Body Params
headers
object

The JWT headers

claims
object

The JWT claims or payload

string

The key to use for signing. DO NOT USE FOR KMS Signing.

string
Defaults to jwt

The output format. Use json for full output.

string

Algorithm to use instead of the headers.alg value - for building a JWS where you provide your own signing. E.g. "none"

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain